module.exports = function (options) {
	'use strict';

	function getFiles(file) {
		var fs = require('fs'),
			offset = file.replace(/\.files$/, ''),
			files = fs.readFileSync(file, 'utf8')
				.split(/\r\n?/);

		for (var index = 0, left; index < files.length; index++) {
			if (files[index].match(/\.files$/)) {
				left = files.slice(index, files.length);
				files = [].concat(files.slice(0, index))
					.concat(getFiles(offset + files[index]))
					.concat(left);
			}
		}

		var a = files
			// Ignore lines with '#' comments
			.filter(function (value) {
				return !value.match(/^#/);
			})
			// Add 'src/' prefix to file entries
			.map(function (value) {
				return offset + value;
			});

		return a;
	};

	config.set({
		files: [
			'src/**/*.js',
			'test/**/*.js'
		],

		// coverage reporter generates the coverage
		reporters: ['progress', 'coverage'],

		preprocessors: {
		// source files, that you wanna generate coverage for
		// do not include tests or libraries
		// (these files will be instrumented by Istanbul)
			'src/**/*.js': ['coverage']
		},

		// optionally, configure the reporter
		coverageReporter: {
			type : 'html',
			dir : 'coverage/'
		}
	});

	return;

	options.set({
		basePath: '../../',
		autoWatch: true,
		singleRun: false,
		browsers: [
			'PhantomJS'
		],
		frameworks: [
			'mocha'
		],
		plugins: [
			'karma-mocha',
			'karma-coverage',
			'karma-chrome-launcher',
			'karma-phantomjs-launcher'
		],
		files: [
			'src/import.js',
			'test/testSpec.js'
		]/*
			.concat(
				getFiles('api/.files'))
			.concat([
				'node_modules/expect.js/expect.js',
				'test/testSpec.js'
			])*/,
		preprocessors: {
			'src/**/*.js': 'coverage'
		},
		coverageReporter: {
			type:	'html',
			dir:	'tmp/istanbul-report'
		},
		reporters:	['dots', 'coverage']
	});
};